Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Interface IterableMap

All Superinterfaces:
  java.util.Map

All Known Subinterfaces:
  BidiMap, OrderedBidiMap, OrderedMap, SortedBidiMap

All Known Implementing Classes:
  AbstractBidiMapDecorator, AbstractDualBidiMap, AbstractHashedMap, AbstractLinkedMap, AbstractOrderedBidiMapDecorator, AbstractOrderedMapDecorator, AbstractReferenceMap, AbstractSortedBidiMapDecorator, CaseInsensitiveMap, DualHashBidiMap, DualTreeBidiMap, Flat3Map, HashedMap, IdentityMap, LinkedMap, ListOrderedMap, LRUMap, MultiKeyMap, ReferenceIdentityMap, ReferenceMap, SingletonMap, TreeBidiMap, UnmodifiableBidiMap, UnmodifiableMap, UnmodifiableOrderedBidiMap, UnmodifiableOrderedMap, UnmodifiableSortedBidiMap

    public interface IterableMap

extends java.util.Map

Defines a map that can be iterated directly without needing to create an entry set.

A map iterator is an efficient way of iterating over maps. There is no need to access the entry set or cast to Map Entry objects.

     IterableMap map = new HashedMap();
     MapIterator it = map.mapIterator();
     while (it.hasNext()) {
       Object key = it.next();
       Object value = it.getValue();
       it.setValue("newValue");
     }

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry`

Method Summary
`MapIterator` | `mapIterator()` Obtains a `MapIterator` over the map.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### mapIterator

    MapIterator mapIterator()

  Obtains a `MapIterator` over the map.

  A map iterator is an efficient way of iterating over maps. There is no need to access the entry set or cast to Map Entry objects.

       IterableMap map = new HashedMap();
       MapIterator it = map.mapIterator();
       while (it.hasNext()) {
         Object key = it.next();
         Object value = it.getValue();
         it.setValue("newValue");
       }

  Returns:
    a map iterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.